Bug 442979 - Impossible to Run Software Update in new Fedora 8 Install
Impossible to Run Software Update in new Fedora 8 Install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
"
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 19:57 EDT by Tim Perrin
Modified: 2009-01-09 01:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:23:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
automatically generated dump (1.43 KB, application/octet-stream)
2008-04-17 19:57 EDT, Tim Perrin
no flags Details

  None (edit)
Description Tim Perrin 2008-04-17 19:57:31 EDT
Description of problem: I'm working with a new install of Fedora 8. On initial
boot, I got a message that it could not update, check network connection and
update settings. Network is fine. When I try to run update from the start menu,
it crashes the program (not the system) with the attached dump. 

Beyond that, I really have no idea what is happening. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Applications>System Tools>Software Updater -- Enter Admin PW
2. CRASH! 
3. "An unhandled exception has occurred. This is most likely a bug. Please save
the crash dump and file a detailed big report against pirut at
https://bugzilla.redhat.com/bugzilla"

Dum; reads: 

Component: pirut
Summary: TB29ec97ad ini.py:563:readfp:UnboundLocalError: local variable 'line'
referenced before assignment

Traceback (most recent call last):
  File "/usr/sbin/pup", line 614, in <module>
    main()
  File "/usr/sbin/pup", line 606, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 85, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in _getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 229, in
getReposFromConfig
    parser.readfp(confpp_obj)
  File "/usr/lib/python2.5/site-packages/iniparse/compat.py", line 106, in readfp
    self.data.readfp(fp)
  File "/usr/lib/python2.5/site-packages/iniparse/ini.py", line 563, in readfp
    if line and line[-1]=='\n':
UnboundLocalError: local variable 'line' referenced before assignment

Local variables in innermost frame:
pending_lines: []
fp: <yum.parser.ConfigPreProcessor instance at 0x8cfbe2c>
exc: None
self: 
cur_section_name: None
linecount: 0
cur_option_name: None
fname: file://///etc/yum.repos.d/Fedora-install-media.repo
cur_option: None
cur_section: None


===============================================

By the way, you really need to make bug reporting easier. The vast majority of
people would have either (1) been intimidated and simply quit or (2) been
frustrated and simply quit or (3) been hopelessly confused and simply quit.
You've made it virutally impenetrable. People are doing you a FAVOR in reporting
a bug but you make them register then navigate through layers of menus. Take a
tip from the folks in Redmond. They just say "Can we please send the dump?"
That's it. You're shooting yourselves in the foot here. 

Good luck fixing this. I'd really sort of like to somehow update my system. 


=========================

OH COME ON PEOPLE! Now it says I have to choose a component. I don't even know
what a component is, for pete's sake. You are making this HARD. If you want
people to help, you need to make it easy. This is certainly the last time I'll
bother to file a bug report. Sheesh!



  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Perrin 2008-04-17 19:57:31 EDT
Created attachment 302828 [details]
automatically generated dump
Comment 2 Bug Zapper 2008-11-26 05:30:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:23:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.